package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;


@ApiModel
@Data
public class GameGiftAddParam {

    @ApiModelProperty("传id为修改, 不传id为新增")
    private Long id;

    /**
     * 游戏id
     */
    @NotNull
    @ApiModelProperty("超父游戏id")
    private Long superGameId;

    /**
     * 游戏id
     */
    @NotNull
    @ApiModelProperty("父游戏id")
    private Long parentGameId;

    /**
     * 礼包名称
     */
    @NotBlank
    @ApiModelProperty("礼包名称")
    private String giftName;

}
