package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GamePolicyConfig;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author tianhua
 * @version 1.0
 * @description: 游戏策略列表参数
 * @date 2023/11/29 14:32
 */
@Data
public class GamePolicyConfigListParam extends BaseListDTO<GamePolicyConfig> {

    /**
     * 超父游戏id
     */
    @ApiModelProperty("超父游戏id")
    private Long superGameId;

    /**
     * 策略类型
     */
    @ApiModelProperty("策略类型")
    private Long type;

}
