package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GameVip;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author tianhua
 * @version 1.0
 * @description: 查询游戏vip档位参数
 * @date 2023/11/20 14:23
 */
@Data
public class GameVipListParam extends BaseListDTO<GameVip> {

    /**
     * 游戏id
     */
    @ApiModelProperty("超父游戏id")
    private Long superGameId;

    /**
     * 游戏id
     */
    @ApiModelProperty("父游戏id")
    private Long parentGameId;

    /**
     * vip档位
     */
    @ApiModelProperty("vip档位")
    private Integer vipLevel;

}
