package com.zanxiang.game.back.serve.config;

import lombok.Getter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

@Getter
@Component
@RefreshScope
public class NacosDynamicParamConfig {
    /**
     * 按关键行为回传的广告账号列表
     */
    @Value("${nacos.dynamic.backOfKeyAccountIds:test}")
    private String backOfKeyAccountIds;
}
