package com.zanxiang.game.module.manage.pojo.dto;

import lombok.Data;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2024-02-23
 * @description : 客服消息上传临时素材
 */
@Data
public class KfUploadTempMediaDTO {

    /**
     * 请求返回成功
     */
    public static final long CODE_SUCCESS = 0;

    /**
     * 错误码, 成功返回 0, 40001 : access_token错误, 40004 : 不合法的媒体文件类型
     */
    private long errcode;

    /**
     * 错误消息
     */
    private String errmsg;

    /**
     * 素材类型
     */
    private String type;

    /**
     * 素材id
     */
    private String media_id;

    /**
     * 上传时间戳
     */
    private String created_at;

    public boolean isSuccess() {
        return Objects.equals(this.errcode, KfUploadTempMediaDTO.CODE_SUCCESS);
    }
}
