package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.RoleGiftRecord;
import com.zanxiang.game.module.mybatis.entity.RoleMailRecord;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * @author shishaosong
 */
@Data
public class RoleGiftRecordListParam extends BaseListDTO<RoleGiftRecord> {
    @NotNull
    @ApiModelProperty("游戏id")
    private Long gameId;

    /**
     * 区服id
     */
    @NotNull
    @ApiModelProperty("区服id")
    private String serverId;

    /**
     * 用户id
     */
    @NotNull
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 角色id
     */
    @NotNull
    @ApiModelProperty("角色id")
    private String roleId;

    @ApiModelProperty("礼包名称")
    private String giftName;

    @ApiModelProperty("发送时间范围-起")
    private LocalDateTime startDateTime;

    @ApiModelProperty("发送时间范围-止")
    private LocalDateTime endDateTime;
}
